Fandom

Dark Age of Camelot Wiki

I was told to update to the Detonator XP v45.23 drivers for my GeForce video card, but I do not have Windows XP. What should I use instead?

1,819pages on
this wiki
Add New Page
Comments0 Share
I was told to update to the Detonator XP v45.23 drivers for my GeForce video card, but I do not have Windows XP. What should I use instead?

The "XP" in Detonator XP is in no way related to the new Microsoft Operating System Windows XP. The Detonator XP v52.16 drivers will work for your GeForce card under all Windows platforms and are the most recent this time. Please note, driver versions 50.xx are now titled as "ForceWare".

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.